Subject: Re: bug#14324: 24.3; GTK scrollbar doesn't scroll proportionally when Line Wrapping is set to "Truncate Long Lines"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Jun 2021 11:01:16 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 03 Jun 2021 09:12:28 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So does it mean that that variable could be a solution to the problem?
> > Or did I misunderstand you?
> 
> The bug reported by the user is that Emacs miscalculates the size of the
> scroll bar by default (with truncated lines).  It doesn't miscalculate
> this if `scroll-bar-adjust-thumb-portion' is nil, so it seems like this
> is a bug that could (and should) be fixed in the t case.

This bug is about Emacs getting "stuck" while scrolling, or scrolling
erratically, not about miscalculation of the thumb size, right?

I may be misremembering, but AFAIR that variable was introduced
because some people actually _like_ the current default behavior wrt
calculating the size of the scroll-bar thumb.

Emacs should not get stuck scrolling, of course, but I cannot
reproduce that on my system, so someone will have to investigate and
tell why scrolling gets stuck or scrolls erratically in some
situations when scroll-bar-adjust-thumb-portion is non-nil.  Or maybe
I misunderstand what erratic scrolling is being alluded to here.